//
//  Colors.swift
//  Garmentoo
//
//  Created by Vijith on 24/03/22.
//

import Foundation
import UIKit

extension UIColor{
    static var tabcolor = UIColor(red: 241/255, green: 241/255, blue: 241/255, alpha: 1)
    static var shadeColor = UIColor(red: 0/255, green: 0/255, blue: 0/255, alpha: 0.25)
    static var neonOrange = UIColor(red: 250/255, green: 116/255, blue: 101/255, alpha: 1)
    static var navBarcolor = UIColor(red: 243/255, green: 244/255, blue: 244/255, alpha: 1)
    
    
      static  var tabbackground: UIColor {
            if #available(iOS 13, *) {
                return UIColor { (traitCollection: UITraitCollection) -> UIColor in
                    if traitCollection.userInterfaceStyle == .dark {
                        return
                            UIColor(white: 0.2, alpha: 1.0)
                    } else {
                        return UIColor.tabcolor
                    }
                }
            } else {
                return UIColor.tabcolor

            }
        }
    
    static  var viewBg: UIColor {
          if #available(iOS 13, *) {
              return UIColor { (traitCollection: UITraitCollection) -> UIColor in
                  if traitCollection.userInterfaceStyle == .dark {
                      return
                        UIColor.darkGray
                  } else {
                      return UIColor.tabcolor
                  }
              }
          } else {
              return UIColor.tabcolor

          }
      }
    
    
      static  var textcolor1: UIColor {
            if #available(iOS 13, *) {
                return UIColor { (traitCollection: UITraitCollection) -> UIColor in
                    if traitCollection.userInterfaceStyle == .dark {
                        return
                            UIColor.lightGray
                    } else {
                        return UIColor.darkGray
                    }
                }
            } else {
                return UIColor.darkGray

            }
        }
    
}
